package com.test.osgi;

import org.osgi.framework.BundleContext;
import org.osgi.framework.ServiceReference;

import com.test.person.service.PersonService;
import com.test.person.service.PersonServiceImpl;

public class Activator implements org.osgi.framework.BundleActivator {
		
	public void start(BundleContext context) throws Exception {
		context.registerService(PersonService.class.getName(), 
			new PersonServiceImpl(), null);
	}

	public void stop(BundleContext context) throws Exception {
		ServiceReference serviceReference = context.
			getServiceReference(PersonService.class.getName());
		if (serviceReference != null){
			context.ungetService(serviceReference);
		}
	}
} 
