package com.test.person.service;

import com.test.model.Account;
import com.test.person.model.Person;
import com.test.service.AccountService;
import com.test.service.AccountServiceImpl;

public class PersonServiceImpl implements PersonService{
	
	private AccountService accountService;
	
	public PersonServiceImpl() {
		super();
		this.accountService = new AccountServiceImpl();
	}

	public Person createPersonWithAccount(String name, long accountNumber){
		System.out.println("Creating person with name " + name);
		Person person = new Person();
		person.setName(name);
		Account account = accountService.createAccount(accountNumber);
		person.setAccount(account);
		return person;
	}
	
}
